// npc.cpp ackmed@gotwalls.com
// npc info provided by Blackpower
#include "npc.h"

NPCSTRUCT allNPC[] = {
	{ // ACT 1 npcs (6)
		0,
		{0,0},
		ACT1,
		0x009b,
		"Warriv"
	},
	{
		0,
		{0,0},
		ACT1,
		0x0109,
		"Cain"
	},
	{
		0,
		{0,0},
		ACT1,
		0x009a,
		"Charsi"
	},
	{
		0,
		{0,0},
		ACT1,
		0x0093,
		"Gheed"
	},
	{
		0,
		{0,0},
		ACT1,
		0x0096,
		"Kashya"
	},
	{
		0,
		{0,0},
		ACT1,
		0x0094, 
		"Akara"
	},
	{ // act 2 npcs (10)
		0,
		{0,0},
		ACT2,
		0x00f4,
		"Cain"
	},
	{
		0,
		{0,0},
		ACT2,
		0x00c7,
		"Elzix"
	},
	{
		0,
		{0,0},
		ACT2,
		0x00c6,
		"Greiz"
	},
	{
		0,
		{0,0},
		ACT2,
		0x00b1,
		"Drognan"
	},
	{
		0,
		{0,0},
		ACT2,
		0x00ca,
		"Lysander"
	},
	{
		0,
		{0,0},
		ACT2,
		0x00b2,
		"Fara"
	},
	{
		0,
		{0,0},
		ACT2,
		0x00b0,
		"Atma"
	},
	{
		0,
		{0,0},
		ACT2,
		0x00d2,
		"Meshif"
	},
	{
		0,
		{0,0},
		ACT2,
		0x00af,
		"Warriv"
	},
	{
		0,
		{0,0},
		ACT2,
		0x00c9,
		"Jerhyn"
	},
	{ // act 3 npcs (6)
		0,
		{0,0},
		ACT3,
		0x00f5,
		"Cain"
	},
	{
		0,
		{0,0},
		ACT3,
		0x00fe,
		"Alkor"
	},
	{
		0,
		{0,0},
		ACT3,
		0x00fc,
		"Asheara"
	},
	{
		0,
		{0,0},
		ACT3,
		0x00ff,
		"Ormus"
	},
	{
		0,
		{0,0},
		ACT3,
		0x0801,
		"Meshif"
	},
	{
		0,
		{0,0},
		ACT3,
		0x00fd,
		"Hratli"
	},
	{ // act 4 (4)
		0,
		{0,0},
		ACT4,
		0x00f6,
		"Cain"
	},
	{
		0,
		{0,0},
		ACT4,
		0x016f,
		"Tyrael"
	},
	{
		0,
		{0,0},
		ACT4,
		0x0195,
		"Jammella"
	},
	{
		0,
		{0,0},
		ACT4,
		0x0101,
		"Halbu"
	},
	{ // act 5 (6)
		0,
		{0,0},
		ACT5,
		0x0208,
		"Cain"
	},
	{
		0,
		{0,0},
		ACT5,
		0x01ff,
		"Larzuk"
	},
	{
		0,
		{0,0},
		ACT5,
		0x0201,
		"Malah"
	},
	{
		0,
		{0,0},
		ACT5,
		0x0203,
		"Qual-Kehk"
	},
	{
		0,
		{0,0},
		ACT5,
		0x0202,
		"Nihlathak"
	},
	{
		0,
		{0,0},
		ACT5,
		0x0200,
		"Anya"
	}

};

void SetNPCLid(int actNum, char* npcName) {

	for(int i = 0;i < NPC_TOTAL;i++) {
		// check act number
		if(allNPC[i].actNum == actNum) {
			// compare names
			if(strcmpi(npcName,allNPC[i].name) == 0) {
				// match.  set lid
				npc = allNPC[i];
				if(Debug == DEBUG_DEVEL) {
					sprintf(DebugBuffer,"SetNPC found: %s (%.2x) for act%d",npc.name,npc.lid,npc.actNum);
				} else {
					sprintf(DebugBuffer,"NPC Set to %s",npc.name);
				}
				server->GamePrintString(DebugBuffer);
				SetNPC = true;
				return;
			}
		}
	}
	sprintf(DebugBuffer,"Unabled to locate '%s' in act%d",npcName,actNum);
	server->GamePrintString(DebugBuffer);
}

// print a list of npc's names at are avail for actNum
void ListNPC(int actNum) {
	for(int i = 0;i < NPC_TOTAL;i++) {
		if(allNPC[i].actNum == actNum) {
			server->GamePrintString(allNPC[i].name);
		}
	}
}